Bug 163857 - Using liblvm2clusterlock.so generates broken initrd images (kernel panic)
Using liblvm2clusterlock.so generates broken initrd images (kernel panic)
Status: CLOSED NOTABUG
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: lvm2-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-21 12:44 EDT by Axel Thimm
Modified: 2010-01-11 23:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 09:18:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2005-07-21 12:44:35 EDT
Description of problem:
or making use of clvmd one needs to change lvm.conf to include

    locking_type = 2
    locking_library = "/usr/lib64/liblvm2clusterlock.so"

kernels installed later will mkinitrd with this config file which will make the
kernel panic.

Version-Release number of selected component (if applicable):
2.01.09-5.0.RHEL4

How reproducible:
always

Steps to Reproduce:
1.See above
2.
3.
  
Actual results:
kernel panic on reboot

Expected results:


Additional info:
lvm in initrd is statically linked but the cluster locking mechanisms are
dynamically loaded even so. The initrd should contain a different version of
lvm.conf than the filesystem.
Comment 1 Axel Thimm 2005-07-22 09:18:03 EDT
The initrd was broken due to bad udev/qla2300 interaction, sorry for the noise ... 

Note You need to log in before you can comment on or make changes to this bug.